Package javassist.compiler.ast

# Class Expr

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.Expr

All Implemented Interfaces:
  `Serializable`, `javassist.compiler.TokenId`

Direct Known Subclasses:
  `AssignExpr`, `BinExpr`, `CallExpr`

public class Expr extends ASTList implements javassist.compiler.TokenId
Expression.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface javassist.compiler.TokenId

`ABSTRACT, AND_E, ANDAND, ARRAY, ARSHIFT, ARSHIFT_E, assignOps, BadToken, BLOCK, BOOLEAN, BREAK, BYTE, CALL, CASE, CATCH, CHAR, CharConstant, CLASS, CONST, CONTINUE, DECL, DEFAULT, DIV_E, DO, DOUBLE, DoubleConstant, ELSE, EQ, EXOR_E, EXPR, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FloatConstant, FOR, GE, GOTO, Identifier, IF, IMPLEMENTS, IMPORT, INSTANCEOF, INT, IntConstant, INTERFACE, LABEL, LE, LONG, LongConstant, LSHIFT, LSHIFT_E, MEMBER, MINUS_E, MINUSMINUS, MOD_E, MUL_E, NATIVE, NEQ, NEW, NULL, opNames, OR_E, OROR, PACKAGE, PLUS_E, PLUSPLUS, PRIVATE, PROTECTED, PUBLIC, RETURN, RSHIFT, RSHIFT_E, SHORT, STATIC, STRICT, StringL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`String`
`getName()`
`int`
`getOperator()`
`static Expr`
`make(int op, ASTree oprand1)`
`static Expr`
`make(int op, ASTree oprand1, ASTree oprand2)`
`ASTree`
`oprand1()`
`ASTree`
`oprand2()`
`void`
`setOperator(int op)`
`void`
`setOprand1(ASTree expr)`
`void`
`setOprand2(ASTree expr)`

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### make

public static Expr make(int op, ASTree oprand1, ASTree oprand2)

### make

public static Expr make(int op, ASTree oprand1)

### getOperator

public int getOperator()

### setOperator

public void setOperator(int op)

### oprand1

public ASTree oprand1()

### setOprand1

public void setOprand1(ASTree expr)

### oprand2

public ASTree oprand2()

### setOprand2

public void setOprand2(ASTree expr)

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `ASTList`
Throws:
  `javassist.compiler.CompileError`

### getName

public String getName()